using System.Collections.Generic;

using BS.Shared;

namespace BeWo.Data.Entities
{
    public class Customer2Person : BeWoEntityBase
    {
        public static string PropertyName_Person = "Person";

        public static string PropertyName_Type = "Type";

        public static string PropertyName_ValueList = "ValueList";

        private Person _Person;

        private IList<ValueListEntry2Object> _ValueList;

        public Customer2Person()
        {
            this._Tid = TableID.Customer2Person;
        }

        public virtual Person Person
        {
            get
            {
                return this._Person;
            }

            set
            {
                if (this.AreDifferent(this._Person, value))
                {
                    this._Person = value;
                }
            }
        }

        public virtual IList<ValueListEntry2Object> ValueList
        {
            get
            {
                return this._ValueList ?? (this._ValueList = new List<ValueListEntry2Object>());
            }

            set
            {
                if (this.AreDifferent(this._ValueList, value))
                {
                    this._ValueList = value;
                }
            }
        }
    }
}